%define upstream_name    Test-Compile
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check whether Perl module files compile correctly
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(UNIVERSAL::require)
BuildArch:  noarch

%description
Check Perl module files for errors or warnings in a test file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 373446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 315872
- update to 0.22

* Wed Sep 05 2012 kharec <kharec> 0.210.0-1.mga3
+ Revision: 288540
- update to 0.21

* Fri Aug 31 2012 kharec <kharec> 0.200.0-1.mga3
+ Revision: 286530
- update to 0.20

* Sat Feb 25 2012 kharec <kharec> 0.170.0-1.mga2
+ Revision: 214487
- update to 0.17

* Thu Feb 23 2012 kharec <kharec> 0.160.0-1.mga2
+ Revision: 212517
- update to 0.16

* Wed Jan 25 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 201037
- update to 0.14

* Mon Jan 24 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 37713
- mageia rebuild
- imported package perl-Test-Compile

